Блог пользователя MikeMirzayanov

Автор MikeMirzayanov, 11 лет назад, По-русски

Добро пожаловать на 2013-2014 CT S01E05: 2007 Nordic Collegiate Programming Contest (NCPC 2007) + Selected Problems from 2009 Google Code Jam World Finals (GCJ WF 2009). Продолжительность тренировки — 5 часов. Тренировка открыта как для команд, так и для индивидуальных участников. После ее окончания вы можете дорешивать задачи тренировки или поучаствовать в ней виртуально, если не смогли принять участие одновременно со всеми. Пожалуйста, участвуйте в тренировке честно.

Так как это тренировка, то возможно набор задач будет расширен, если для значительного количества участников он окажется простым.

Регистрация на тренировку будет доступна со страницы Тренировки и будет открыта до окончания тренировки. Регистрируя команду, выберите именно тех её членов, кто будет писать тренировку.

Удачи!

  • Проголосовать: нравится
  • +31
  • Проголосовать: не нравится

»
11 лет назад, # |
  Проголосовать: нравится 0 Проголосовать: не нравится

hello . how solve the problem G? DP !!

ALREADY FINISH MY TIME

»
11 лет назад, # |
  Проголосовать: нравится +26 Проголосовать: не нравится

Note that for the NCPC part of this contest, there's a problemset analysis and all you might want to see (like judges' solutions) available at http://ncpc.idi.ntnu.no/ncpc2007/. That means there's no need for an editorial :D

»
11 лет назад, # |
  Проголосовать: нравится 0 Проголосовать: не нравится

How to solve K?

»
11 лет назад, # |
  Проголосовать: нравится 0 Проголосовать: не нравится

For problem G (Nested Dolls) how can it be solved ?

»
11 лет назад, # |
  Проголосовать: нравится 0 Проголосовать: не нравится

For Problem G (Nested Dolls) How it can be solved ?

»
11 лет назад, # |
  Проголосовать: нравится 0 Проголосовать: не нравится

В задаче F какой будет ответ на тест

3 2

1 10 1

1 2 1

2 3 10

1

11 2 3

? Правильно ли я понял, что можно сперва пойти из 2 в 1, там заправиться, и оттуда через 2 попасть в 3?

»
11 лет назад, # |
Rev. 2   Проголосовать: нравится 0 Проголосовать: не нравится

After solved problem B by disjoint-set principle, I read other codes and found this problem can be solved by a number different techniques : max-flow ; bfs-dfs ; and even brute force (!). Can anyone explains the solution by max-flow, please ?

  • »
    »
    11 лет назад, # ^ |
      Проголосовать: нравится 0 Проголосовать: не нравится

    follow this steps :

    1. add two special nodes to graph ( Source and Sink ) .
    2. add some edges from Source to every left side nodes with one capacity .
    3. add some edges from every right side nodes to Sink with one capacity .
    4. find max-flow of this new graph .

    if max-flow of this new graph equals to number of words( left side nodes ) , then there is exist a Cuckoo hashing .

»
11 лет назад, # |
  Проголосовать: нравится +4 Проголосовать: не нравится

Since these competitions are mainly for practicing so why we are not allowed to view other codes ? really viewing other codes helps alot.

  • »
    »
    11 лет назад, # ^ |
      Проголосовать: нравится 0 Проголосовать: не нравится

    Probably because self help is the best help :)

    • »
      »
      »
      11 лет назад, # ^ |
        Проголосовать: нравится +1 Проголосовать: не нравится

      Well , at first you should try to do it by yourself and keep thinking till some point you may give up and want to know the answer , probably the answer to the problem has a proved theorem that you don't know or it is really hard for your current skills to get , in that case you should search for solutions better than wasting your time in a single problem and since I'm going to search in google or somewhere else then viewing solutions would be easier and better.

      • »
        »
        »
        »
        11 лет назад, # ^ |
          Проголосовать: нравится 0 Проголосовать: не нравится

        this time they have supplied the tutorial :)

        • »
          »
          »
          »
          »
          11 лет назад, # ^ |
            Проголосовать: нравится +1 Проголосовать: не нравится

          Yeah Xellos did , and he doesn't have to do it everytime + tutorial improve our thinking skills with getting the idea but looking at some coders' solutions will improve our coding skills especially if the code belongs to a good coder. It's not an argument It is just my opinion. :)

          • »
            »
            »
            »
            »
            »
            11 лет назад, # ^ |
              Проголосовать: нравится +9 Проголосовать: не нравится

            Actually, writing a tutorial helps me a lot more than it helps everyone else. That's because I need to prove stuff properly and code hard problems that I would've left hanging otherwise. I don't complain about the contribution going up, though :D

»
11 лет назад, # |
  Проголосовать: нравится 0 Проголосовать: не нравится

http://ideone.com/YKHlC8

This is my code for Problem L ELection. I am having trouble coding. Would really be glad if someone can help me out on this. I am implementing a trie and doing updates.

Any help will be really appreciated.

  • »
    »
    11 лет назад, # ^ |
      Проголосовать: нравится 0 Проголосовать: не нравится

    input :
    2
    A B C
    GroupA
    A BC
    GroupB
    3
    A B C
    A BC
    ABC

    Correct Answer :
    tie
    Your answer :
    GroupA

»
11 лет назад, # |
  Проголосовать: нравится 0 Проголосовать: не нравится

How to solve I?

»
11 лет назад, # |
Rev. 2   Проголосовать: нравится 0 Проголосовать: не нравится

EDIT: Turns out that I must have added some inefficiency with the way I purchased fuel. I reimplemented right now, worked fine.

Original: Looks like the time limit is too strict for Java on F. While not 100% certain my algorithm is optimal, based off of the problem set analysis posted by Xelios, I have the intended algorithm...